=== modified file 'loggerhead/tests/test_controllers.py'
--- loggerhead/tests/test_controllers.py	2022-08-31 14:04:38 +0000
+++ loggerhead/tests/test_controllers.py	2022-09-17 13:07:55 +0000
@@ -58,6 +58,7 @@
         env = {
             'SCRIPT_NAME': '',
             'PATH_INFO': '/files',
+            'REQUEST_METHOD': 'GET',
             'wsgi.url_scheme': 'http',
             'SERVER_NAME': 'localhost',
             'SERVER_PORT': '80',
@@ -71,6 +72,7 @@
         env = {
             'SCRIPT_NAME': '',
             'PATH_INFO': '/files',
+            'REQUEST_METHOD': 'GET',
             'wsgi.url_scheme': 'http',
             'SERVER_NAME': 'localhost',
             'SERVER_PORT': '80',

=== modified file 'requirements.txt'
--- requirements.txt	2022-08-08 16:33:50 +0000
+++ requirements.txt	2022-09-21 12:05:41 +0000
@@ -12,3 +12,4 @@
 Pygments; python_version > "3.5"
 certifi < 2022.5.18; python_version <= "3.5"
 fixtures < 4.0.0; python_version <= "3.5"
+patiencediff < 0.2.3; python_version <= "3.5"

=== modified file 'tox.ini'
--- tox.ini	2021-12-17 21:39:45 +0000
+++ tox.ini	2022-09-17 13:07:55 +0000
@@ -3,7 +3,9 @@
 skipsdist=True
 
 [testenv]
-deps = -rrequirements.txt
+deps =
+    -rrequirements.txt
+    .
 commands = brz selftest -v breezy.plugins.loggerhead --strict
 setenv =
     py35: VIRTUALENV_DOWNLOAD = 0

